﻿using Models.Game;

namespace Tests;

public class MapTests
{
    [Fact]
    public void Constructor_WithValidBackground_SetsBackgroundCorrectly()
    {
        var map = new Map("background");
        Assert.Equal("background", map.Background);
    }

    [Fact]
    public void Constructor_InitializesEmptyBoards()
    {
        var map = new Map("background");
        Assert.Empty(map.Boards);
    }

    [Fact]
    public void Constructor_InitializesEmptyOperationGrid()
    {
        var map = new Map("background");
        Assert.Empty(map.OperationGrid);
    }

    [Fact]
    public void Constructor_InitializesEmptyZones()
    {
        var map = new Map("background");
        Assert.Empty(map.Zones);
    }
}
